'use client'

import { useState } from 'react'
import Header from './Header'
import Sidebar from './Sidebar'

export default function DashboardLayout({
  children,
}: {
  children: React.ReactNode
}) {
  const [isOpen, setIsOpen] = useState(false)

  return (
    <div className="min-h-screen bg-slate-50 dark:bg-slate-900">
      {/* Header en üstte */}
      <div className="relative z-30">
        <Header setIsOpen={setIsOpen} />
      </div>

      {/* Sidebar ve main content */}
      <div className="relative flex">
        {/* Sidebar daha yüksek z-index ile */}
        <div className="relative z-40">
          <Sidebar isOpen={isOpen} setIsOpen={setIsOpen} />
        </div>

        {/* Main content en altta */}
        <div className="relative z-0 flex-1">
          <main className="p-4 sm:p-6 lg:ml-72">
            {children}
          </main>
        </div>
      </div>
    </div>
  )
} 